#!/usr/bin/python
import sys

def error(x):
	sys.stderr.write(x)
if len(sys.argv) < 3:
	error('usage ' + sys.argv[0] + ' pretty_base_file bookmark_file [offset]\n')
	sys.exit(1)

if sys.argv[2] == '-':
	outfile = sys.stdout
else:
	outfile = open(sys.argv[2],'w')
if sys.argv[1] == '-':
	infile = sys.stdin
else:
	infile = open(sys.argv[1],'r')


for line in infile:
	s = line.split()
	base = int(s[0].split('_')[-1])
	if len(sys.argv)==4:
		base=base+int(sys.argv[3])
	if (len(s[3]) == 1 and len(s[2]) == 1) and s[4] != 'R':
		if s[-1] == 'H':
			word = 'Heterozygous snp at ' + str(base)
		elif s[-1] == 'A':
			word = 'Homozygous snp at ' + str(base)
		else:
			word = s[-1] + 'at ' + str(base)
		outfile.write(str(base-32) + '\t' + str(base+32) + '\t' + word + '\n')
