#ifndef __FASTA_READER_H__
#define __FASTA_READER_H__

#include <stdio.h>

typedef struct {
	char * name;
	char * sequence;
	unsigned char * number_sequence;
	unsigned char * colour_sequence;
	size_t size;
	size_t original_size;
	size_t start;
	size_t end;
	struct fasta * next;
} fasta;


fasta * fasta_read_next(FILE * f);
void fasta_make_letter_sequence(fasta * fa);
void fasta_make_number_sequence(fasta * fa);
void fasta_make_colour_sequence(fasta * fa);
void fasta_save(fasta * fa, FILE * f);
fasta * fasta_load(FILE * f);
fasta * fasta_load_region(FILE * f, char * contig_name, size_t start, size_t end);
void fasta_free(fasta * fa);
fasta * fasta_read_file(FILE * f);
void fasta_crop(fasta * fa, long long unsigned start, long long unsigned end);
fasta * fasta_pop_and_free(fasta * head,char * name);
#endif
